Nginx with PHP 5.4+

Hello guys, I have PHP 5.4 installed separately following the instructions on my page:

https://www.virtualmin.com/documentation/web/multiplephp

I’m using this framework that requires PHP 5.4+ so how do I configure nginx to use it?

Server Configuration > PHP Versions shows “Website options cannot be edited, as no Apache virtual host for demyx.com port 80 was found!”

Howdy,

Hmm, did you by chance use these instructions here to switch your server from Apache to Nginx:

https://www.virtualmin.com/documentation/web/nginx

If so, then I suspect you may be seeing a limitation with Nginx support… it may not be able to support more than one PHP version.

-Eric